org.hibernate.search.elasticsearch.util.impl

## Enum PathComponentExtractor.ConsumptionLimit

- java.lang.Object
- - java.lang.Enum<PathComponentExtractor.ConsumptionLimit>
  - - org.hibernate.search.elasticsearch.util.impl.PathComponentExtractor.ConsumptionLimit

- All Implemented Interfaces:
    Serializable, Comparable<PathComponentExtractor.ConsumptionLimit>
  Enclosing class:
    PathComponentExtractor

      public static enum PathComponentExtractor.ConsumptionLimit
      extends Enum<PathComponentExtractor.ConsumptionLimit>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LAST` Consume up to the last path component, i.e.
    `SECOND_BUT_LAST` Consume up to the second-but-last path component, i.e.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PathComponentExtractor.ConsumptionLimit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PathComponentExtractor.ConsumptionLimit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SECOND_BUT_LAST

          public static final PathComponentExtractor.ConsumptionLimit SECOND_BUT_LAST

      Consume up to the second-but-last path component, i.e. up to the last path separator in the path string.

      Don't consume anything if there is no path separator in the path string.

    - #### LAST

          public static final PathComponentExtractor.ConsumptionLimit LAST

      Consume up to the last path component, i.e. up to the end of the path string.

  - ### Method Detail

    - #### values

          public static PathComponentExtractor.ConsumptionLimit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PathComponentExtractor.ConsumptionLimit c : PathComponentExtractor.ConsumptionLimit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PathComponentExtractor.ConsumptionLimit valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved